# PrimitiveClass Class Reference
[Base data types used in Form]

Inheritance diagram for PrimitiveClass:
[legend]

List of all members.

## Public Member Functions

| import ($scope)
| of ($class)

## Private Member Functions

| classExists ($name)
| guessClassName ($class)

## Private Attributes

| $ofClassName = null

## Detailed Description

Definition at line 15 of file PrimitiveClass.class.php.

## Member Function Documentation

PrimitiveClass::classExists | ( | $ | name | ) | `[private]`

Definition at line 62 of file PrimitiveClass.class.php.

References BasePrimitive::$name.

Referenced by import().

PrimitiveClass::guessClassName | ( | $ | class | ) | `[private]`

Definition at line 71 of file PrimitiveClass.class.php.

Referenced by of().

PrimitiveClass::import | ( | $ | scope | ) |

Reimplemented from PrimitiveString.

Definition at line 19 of file PrimitiveClass.class.php.

References classExists(), ClassUtils::isClassName(), and ClassUtils::isInstanceOf().

Here is the call graph for this function:

PrimitiveClass::of | ( | $ | class | ) |

Exceptions:

  | WrongArgumentException |

Returns:
  PrimitiveIdentifier

Definition at line 47 of file PrimitiveClass.class.php.

References guessClassName(), and Assert::isTrue().

Here is the call graph for this function:

## Member Data Documentation

PrimitiveClass::$ofClassName = null`[private]`

Definition at line 17 of file PrimitiveClass.class.php.

The documentation for this class was generated from the following file:

- core/Form/Primitives/PrimitiveClass.class.php